> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook



## OpenAPI

````yaml https://api.mynth.io/openapi.json post /webhook
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /webhook:
    post:
      tags:
        - Webhooks
      summary: Create Webhook
      operationId: postWebhook
      responses:
        '201':
          description: Webhook created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      createdAt: {}
                      enabled:
                        type: boolean
                      events:
                        anyOf:
                          - type: array
                            items:
                              enum:
                                - all
                                - task.completed
                                - task.failed
                                - task.image.alt.completed
                                - task.image.alt.failed
                                - task.image.generate.completed
                                - task.image.generate.failed
                                - task.image.rate.completed
                                - task.image.rate.failed
                          - type: 'null'
                      id:
                        type: string
                      secret:
                        type: string
                      updatedAt: {}
                      url:
                        type: string
                      userId:
                        type: string
                    required:
                      - createdAt
                      - enabled
                      - events
                      - id
                      - secret
                      - updatedAt
                      - url
                      - userId
                    additionalProperties: false
                required:
                  - data
      security:
        - oauthAuth: []
components:
  securitySchemes:
    oauthAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'OAuth access token sent as `Authorization: Bearer <access-token>`.'

````